Commit b9690959 authored by Rob Latham's avatar Rob Latham
Browse files

cray needs latomic to build BwTree

parent 604a6ff1
......@@ -76,5 +76,13 @@ class Sdskeyval(AutotoolsPackage):
extra_args.extend([
"--enable-leveldb"
])
# cray compilers needed -latomic to build BwTree; gcc7 on my Ubuntu
# laptop did, also, but I don't know how to be that precise when
# specifying
if '+bwtree' in spec:
if 'platform=cray' in self.spec:
args.extend(['LDFLAGS=-latomic'])
return extra_args
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment